'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createAndExpression = createAndExpression;

var _babelInstance = require('./babelInstance');

var _getSurroundingLoc = require('ast-loc-utils/lib/getSurroundingLoc');

var _getSurroundingLoc2 = _interopRequireDefault(_getSurroundingLoc);

var _buildAtLoc = require('ast-loc-utils/lib/buildAtLoc');

var _buildAtLoc2 = _interopRequireDefault(_buildAtLoc);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createAndExpression(conditions) {
  var t = (0, _babelInstance.getTypes)();

  if (conditions.length === 0) return t.booleanLiteral(true);else if (conditions.length === 1) return conditions[0];else {
    var loc = (0, _getSurroundingLoc2.default)(conditions);
    return (0, _buildAtLoc2.default)(loc, t.logicalExpression, "&&", conditions[0], createAndExpression(conditions.slice(1)));
  }
}